PODMAN-COMPOSE(1)

NAME
podman-compose - Define and run multi-container applications with Podman.

DESCRIPTION
podman-compose [-h] [-v] [-f file] [-p PROJECT_NAME] [--podman-path PODMAN_PATH] [--podman-args args] [--podman-pull-args args] [--podman-push-args args] [--podman-build-args args] [--podman-inspect-args args] [--podman-run-args args] [--podman-start-args args] [--podman-stop-args args] [--podman-rm-args args] [--podman-volume-args args] [--no-ansi] [--no-cleanup] [--dry-run] {help,version,pull,push,build,up,down,ps,run,exec,start,stop,restart,logs} ...

OPTIONS
-h, --help show this help message and exit

-v, --version
    show version

-f file, --file file
    Specify an alternate compose file (default: docker-compose.yml)

-p PROJECT_NAME, --project-name PROJECT_NAME
    Specify an alternate project name (default: directory name)

--podman-path PODMAN_PATH
    Specify an alternate path to podman (default: use location in $PATH variable)

--podman-args args
    custom global arguments to be passed to `podman`

--podman-pull-args args
    custom arguments to be passed to `podman pull`

--podman-push-args args
    custom arguments to be passed to `podman push`

--podman-build-args args
    custom arguments to be passed to `podman build`

--podman-inspect-args args
    custom arguments to be passed to `podman inspect`

--podman-run-args args
    custom arguments to be passed to `podman run`

--podman-start-args args
    custom arguments to be passed to `podman start`

--podman-stop-args args
    custom arguments to be passed to `podman stop`

--podman-rm-args args
    custom arguments to be passed to `podman rm`

--podman-volume-args args
    custom arguments to be passed to `podman volume`

--no-ansi
    Do not print ANSI control characters

--no-cleanup
    Do not stop and remove existing pod & containers

--dry-run
    No action; perform a simulation of commands

COMMANDS
{help,version,pull,push,build,up,down,ps,run,exec,start,stop,restart,logs}

  help
show help

  version
show version

  pull
pull stack images

  push
push stack images

  build
build stack images

  up
Create and start the entire stack or some of its services

  down
tear down entire stack

  ps
show status of containers

  run
create a container similar to a service to run a one-off command

  exec
execute a command in a running container

  start
start specific services

  stop
stop specific services

  restart
restart specific services

  logs
show logs from services

AUTHOR
This manual page was written by Athos Ribeiro <athoscribeiro@gmail.com> based on the help2man output.